Skip to main content
POST
Send an invitation

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The name of the organization

Body

application/json
email
string
required

The email address to send the invitation to

role
enum<string>

The role granted when the invitation is accepted. Defaults to member. Service tokens can only invite members; requesting another role returns 422.

Available options:
admin,
analyst,
member

Response

Returns the created invitation. Service tokens can only create invitations with the member role.

id
string
required

The ID of the invitation

email
string
required

The email address the invitation was sent to

role
enum<string>
required

The role granted when the invitation is accepted. Invitations sent by service tokens are always member.

Available options:
admin,
analyst,
member
sender
object
required
recipient
object | null
required
expired
boolean
required

Whether the invitation has expired

expires_at
string
required

When the invitation expires

created_at
string
required

When the invitation was created

avatar_url
string
required

The URL of the avatar shown for the invitation